/*
*   mise en page de l'index.html
*/

html {
  height: 100%;
}

body {
  height: 100%;
  margin: 0;
}

header {
  z-index: 1000000;
  position: fixed;
  top: 0;
  display: flex;
  justify-content: space-between;
  height: 50px;
  width: 100%;
  align-items: center;
  background-color: #333;
}

#titreEntete {
  padding-left: 10px;
  text-align: center;
  font-size: 1.5rem;
  color: white;
}

nav {
  z-index: 1000000;
  position: fixed;
  top: 50px;
  font-size: 1rem;
  width: 100%;
  height: 100px;
}

.menuBtn {
  top: 10px;
  z-index: 1000;
  height: 100%;
  aspect-ratio: 0.8;
  background-color: #333;
  border: none;
  color: white;
  padding: 1px;
}

.menuBtn > div {
  width: 80%;
  height: 5px;
  background-color: white;
  margin-bottom: 4px;
  border-radius: 5px;
}

#menu {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #333;
  height: 100px;
  width: 100%;
  align-items: center;
  padding: 5px;
  border-top: 2pt solid white;
}

#menu hr {
  width: 70%;
}

.menuElement {
  display: grid;
  align-items: center;
  color: white;
  margin: 0 auto;
  text-align: center;
  height: 50%;
  width: 90%;
}

.menuElement:hover {
  cursor: pointer;
  background-color: darkgray;
  border-radius: 10px;
}

main {
  position: absolute;
  top: 200px;
  width: 100%;
}

/*
*   mise en page de recherche.html
*/

h1 {
  text-align: center;
  margin-bottom: 50px;
}

#barreRecherche {
  padding-bottom: 30px;
  width: 100%;
  text-align: center;
}

#resultat {
  text-align: center;
  padding-bottom: 5dvh;;
}

.navigationPages {
  display: flex;
  justify-content: center;
}

.nbrPage {
  margin-left: 5px;
  margin-right: 5px;
}

.btnPages {
  width: 30px;
  margin-left: 2px;
}

#listeCartes {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  margin-top: 5dvh;
  margin-bottom: 5dvh;
  text-align: center;
}

.carte {
  min-width: 150px;
  max-width: 300px;
  width: 40%;
  padding: 10px;
  border: 1pt solid black;
}

.carte:hover {
  cursor: pointer;
  background-color: lightgray;
}

.carte img {
  width: 100%;
}

#listeCartes tr:hover {
  cursor: pointer;
  background-color: lightgray;
}

#pokemonName {
  border-radius: 20px;
  height: 30px;
  width: 200px;
  padding-left: 10px;
}

#searchBtn {
  border-radius: 15px;
  height: 30px;
}

/*
*   mise en page de pokemon.html
*/

.pokemon {
  text-align: center;
  width: 70%;
  padding: 10px;
  padding-bottom: 200px;
  margin: 0 auto;
}

#image > img {
  width: 50%;
  max-width: 450px;
}

#evolutions {
  display: flex;
  justify-content: space-between;
  margin-bottom: 5%;
}

#evolvesFrom {
  text-align: left;
  width: fit-content;
  margin-left: 10%;
}

#evolvesTo {
  text-align: right;
  width: fit-content;
  margin-right: 10%;
}

#infos {
  text-align: left;
}

/*
* mise en page de map.html
*/

#map {
  width: 80%;
  aspect-ratio: 2;
  margin: 0 auto;
  z-index: 0;
  margin-bottom: 50px;
}

/*
*   Responsive
*/

@media screen and (max-width: 750px) {

  #image > img {
    width: 70%;
  }

  #map {
    aspect-ratio: 1;
  }
}
